gotestsum:
    extends: .go
    stage: test
    image: docker.io/library/golang:1.20
    script:
        - go version
        - go install gotest.tools/gotestsum@latest
        - go install github.com/boumenot/gocover-cobertura@latest
        - gotestsum --junitfile report.xml --format testname -- -race -coverprofile=coverage.txt -covermode atomic ./...
        - gocover-cobertura < coverage.txt > coverage.xml
        - go tool cover -func coverage.txt
    coverage: '/total:.*\d+.\d+%/'
    artifacts:
        when: always
        reports:
            coverage_report:
                coverage_format: cobertura
                path: coverage.xml
            junit: report.xml
